# Generated by rust2rpm 23
%bcond_without check

%global crate pore

Name:           rust-pore
Version:        0.1.6
Release:        %autorelease
Summary:        Performance oriented reimplementation of repo

License:        Apache-2.0
URL:            https://crates.io/crates/pore
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# - drop copy_dir
# - replace isatty with atty
# - bump joinery to 3.0
Patch:          pore-fix-metadata.diff
# Based on merged https://github.com/jmgao/pore/pull/98
Patch:          pore-replace-isatty.diff
# Not upstreamed yet as the current patch is POSIX only
Patch:          pore-remove-copy_dir.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Performance oriented reimplementation of repo.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND 0BSD AND BSD-3-Clause AND MIT AND GPL-2.0-only WITH GCC-exception-2.0 AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/pore

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
